//////////////////////////////////////////////
// Un gestionnaire en C++ pour votre réseau //
//////////////////////////////////////////////
/* 
Version 4.0

Des modifications on etees faites dans l'organisation des fichiers :

- le fichier "Constantes.h" regroupe toutes les constantes
- les deux fichiers "Composants.h" et "Methodes.h" regroupent respectivement les définitions et les méthodes de beaucoup d'objets
- le fichier Fonctions.h" regroupe des fonctions utilitaires d'usage general
- les fichiers "Signaux.h" et "SignauxBAL.h" sont consacres aux signaux
- le fichier "TCO.h" comporte l'interface avec le Locodrome
- le fichier "Train.h" concerne les trains pour le Locodrome
- le fichier "LocodromeBAL4.ino" contient essentiellement les objets de l'utilisateur (ici le Locodrome) + setup() + loop()

Les commandes envoyees au TCO font maintenant 3 octets
La reinitialisation a ete simplifiee (par branchement "sauvage" a l'adresse 0)
Ajout du suivi des trains et du cab-signal pour le Locodrome



Objets du Locodrome

Deux aiguilles a0 et a1   

Six zones z0 a z5
   
Deux "cantons" de BAL z3 et z4

Huit signaux :
   S1 et S2 semaphore+ralentissement (BAL)
   C1 et C2 carre+avertissement+rappel-ralentissement
   C3, C4, C5 et C6 carre

Huit itineraires :
  de X vers A ou B
  de Y vers A ou B
  de A vers X ou Y
  de B vers X ou Y

Une autorisation Aut

Deux trains



Le locodrome a deux modes de fonctionnement : autonome ou avec un TCO
la variable booleenne TCO permet de choisir le mode (dans le .ino)

En mode autonome il faut utiliser le "Moniteur serie" pour simuler la retrosignalisation et les commandes d'itineraires.


  
*/
